package com.wms.entity.app.vo;

import java.util.List;

public class MenuEntity {
    /**
     * 菜单Id
     */
    private String id;

    /**
     * 菜单名称
     */
    private String labelName;

    /**
     * 图标值
     */
    private String iconValue;

    /**
     * 地址
     */
    private String path;

    /**
     * 子菜单
     */
    private List<MenuEntity> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabelName() {
        return labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public String getIconValue() {
        return iconValue;
    }

    public void setIconValue(String iconValue) {
        this.iconValue = iconValue;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public List<MenuEntity> getChildren() {
        return children;
    }

    public void setChildren(List<MenuEntity> children) {
        this.children = children;
    }
}
